Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class JifExtFactory_c

    java.lang.Object
      polyglot.ext.jl.ast.AbstractExtFactory_c
          jif.ast.JifExtFactory_c

All Implemented Interfaces:
  polyglot.ast.ExtFactory

    public class JifExtFactory_c

extends polyglot.ext.jl.ast.AbstractExtFactory_c

This class provides is Jif's Extension factory, creating the appropriate Ext objects as required.

Constructor Summary
`JifExtFactory_c()`

Method Summary
`polyglot.ast.Ext` | `extActsFor()`
`polyglot.ast.Ext` | `extActsForConstraintNode()`
`protected polyglot.ast.Ext` | `extActsForConstraintNodeImpl()`
`protected polyglot.ast.Ext` | `extActsForImpl()`
`polyglot.ast.Ext` | `extAmbDynamicLabelNode()`
`protected polyglot.ast.Ext` | `extAmbDynamicLabelNodeImpl()`
`protected polyglot.ast.Ext` | `extAmbExprImpl()`
`polyglot.ast.Ext` | `extAmbNewArray()`
`protected polyglot.ast.Ext` | `extAmbNewArrayImpl()`
`polyglot.ast.Ext` | `extAmbParam()`
`protected polyglot.ast.Ext` | `extAmbParamImpl()`
`polyglot.ast.Ext` | `extAmbParamTypeOrAccess()`
`protected polyglot.ast.Ext` | `extAmbParamTypeOrAccessImpl()`
`protected polyglot.ast.Ext` | `extAmbPrefixImpl()`
`polyglot.ast.Ext` | `extAmbPrincipalNode()`
`protected polyglot.ast.Ext` | `extAmbPrincipalNodeImpl()`
`protected polyglot.ast.Ext` | `extAmbQualifierNodeImpl()`
`protected polyglot.ast.Ext` | `extAmbReceiverImpl()`
`polyglot.ast.Ext` | `extAmbThisLabelNode()`
`protected polyglot.ast.Ext` | `extAmbThisLabelNodeImpl()`
`protected polyglot.ast.Ext` | `extAmbTypeNodeImpl()`
`polyglot.ast.Ext` | `extAmbVarLabelNode()`
`protected polyglot.ast.Ext` | `extAmbVarLabelNodeImpl()`
`protected polyglot.ast.Ext` | `extArrayAccessAssignImpl()`
`protected polyglot.ast.Ext` | `extArrayAccessImpl()`
`protected polyglot.ast.Ext` | `extArrayInitImpl()`
`protected polyglot.ast.Ext` | `extArrayTypeNodeImpl()`
`polyglot.ast.Ext` | `extAuthConstraintNode()`
`protected polyglot.ast.Ext` | `extAuthConstraintNodeImpl()`
`protected polyglot.ast.Ext` | `extBinaryImpl()`
`protected polyglot.ast.Ext` | `extBlockImpl()`
`protected polyglot.ast.Ext` | `extBranchImpl()`
`polyglot.ast.Ext` | `extCallerConstraintNode()`
`protected polyglot.ast.Ext` | `extCallerConstraintNodeImpl()`
`protected polyglot.ast.Ext` | `extCallImpl()`
`protected polyglot.ast.Ext` | `extCannotToJavaImpl()` This method returns a vanilla Jif extensions (Jif_c) with a CannotToJavaExt_c for the ToJavaExt.
`polyglot.ast.Ext` | `extCanonicalConstraintNode()`
`protected polyglot.ast.Ext` | `extCanonicalConstraintNodeImpl()`
`polyglot.ast.Ext` | `extCanonicalLabelNode()`
`protected polyglot.ast.Ext` | `extCanonicalLabelNodeImpl()`
`polyglot.ast.Ext` | `extCanonicalPrincipalNode()`
`protected polyglot.ast.Ext` | `extCanonicalPrincipalNodeImpl()`
`protected polyglot.ast.Ext` | `extCanonicalTypeNodeImpl()`
`protected polyglot.ast.Ext` | `extCaseImpl()`
`protected polyglot.ast.Ext` | `extCastImpl()`
`protected polyglot.ast.Ext` | `extClassBodyImpl()`
`protected polyglot.ast.Ext` | `extClassDeclImpl()`
`protected polyglot.ast.Ext` | `extConditionalImpl()`
`polyglot.ast.Ext` | `extConstraintNode()`
`protected polyglot.ast.Ext` | `extConstraintNodeImpl()`
`protected polyglot.ast.Ext` | `extConstructorCallImpl()`
`protected polyglot.ast.Ext` | `extConstructorDeclImpl()`
`polyglot.ast.Ext` | `extDeclassifyExpr()`
`protected polyglot.ast.Ext` | `extDeclassifyExprImpl()`
`polyglot.ast.Ext` | `extDeclassifyStmt()`
`protected polyglot.ast.Ext` | `extDeclassifyStmtImpl()`
`protected polyglot.ast.Ext` | `extDoImpl()`
`protected polyglot.ast.Ext` | `extEmptyImpl()`
`protected polyglot.ast.Ext` | `extEvalImpl()`
`protected polyglot.ast.Ext` | `extExprImpl()`
`protected polyglot.ast.Ext` | `extFieldAssignImpl()`
`protected polyglot.ast.Ext` | `extFieldDeclImpl()`
`protected polyglot.ast.Ext` | `extFieldImpl()`
`protected polyglot.ast.Ext` | `extForImpl()`
`protected polyglot.ast.Ext` | `extFormalImpl()`
`protected polyglot.ast.Ext` | `extIfImpl()`
`protected polyglot.ast.Ext` | `extInitializerImpl()`
`protected polyglot.ast.Ext` | `extInstanceofImpl()`
`polyglot.ast.Ext` | `extInstTypeNode()`
`protected polyglot.ast.Ext` | `extInstTypeNodeImpl()`
`polyglot.ast.Ext` | `extJoinLabelNode()`
`protected polyglot.ast.Ext` | `extJoinLabelNodeImpl()`
`protected polyglot.ast.Ext` | `extLabeledImpl()`
`polyglot.ast.Ext` | `extLabeledTypeNode()`
`protected polyglot.ast.Ext` | `extLabeledTypeNodeImpl()`
`polyglot.ast.Ext` | `extLabelExpr()`
`protected polyglot.ast.Ext` | `extLabelExprImpl()`
`polyglot.ast.Ext` | `extLabelIf()`
`protected polyglot.ast.Ext` | `extLabelIfImpl()`
`polyglot.ast.Ext` | `extLabelLeAssertionNode()`
`protected polyglot.ast.Ext` | `extLabelLeAssertionNodeImpl()`
`polyglot.ast.Ext` | `extLabelNode()`
`protected polyglot.ast.Ext` | `extLabelNodeImpl()`
`protected polyglot.ast.Ext` | `extLitImpl()`
`protected polyglot.ast.Ext` | `extLocalAssignImpl()`
`protected polyglot.ast.Ext` | `extLocalDeclImpl()`
`protected polyglot.ast.Ext` | `extLocalImpl()`
`protected polyglot.ast.Ext` | `extMethodDeclImpl()`
`protected polyglot.ast.Ext` | `extNewArrayImpl()`
`protected polyglot.ast.Ext` | `extNewImpl()`
`polyglot.ast.Ext` | `extNewLabel()`
`protected polyglot.ast.Ext` | `extNewLabelImpl()`
`protected polyglot.ast.Ext` | `extNodeImpl()`
`protected polyglot.ast.Ext` | `extPackageNodeImpl()`
`polyglot.ast.Ext` | `extParamDecl()`
`protected polyglot.ast.Ext` | `extParamDeclImpl()`
`polyglot.ast.Ext` | `extParamNode()`
`protected polyglot.ast.Ext` | `extParamNodeImpl()`
`polyglot.ast.Ext` | `extPolicyLabelNode()`
`protected polyglot.ast.Ext` | `extPolicyLabelNodeImpl()`
`polyglot.ast.Ext` | `extPrincipalNode()`
`protected polyglot.ast.Ext` | `extPrincipalNodeImpl()`
`protected polyglot.ast.Ext` | `extReturnImpl()`
`protected polyglot.ast.Ext` | `extSourceFileImpl()`
`protected polyglot.ast.Ext` | `extSpecialImpl()`
`protected polyglot.ast.Ext` | `extSwitchBlockImpl()`
`protected polyglot.ast.Ext` | `extSwitchImpl()`
`protected polyglot.ast.Ext` | `extSynchronizedImpl()`
`protected polyglot.ast.Ext` | `extThrowImpl()`
`protected polyglot.ast.Ext` | `extTryImpl()`
`protected polyglot.ast.Ext` | `extUnaryImpl()`
`protected polyglot.ast.Ext` | `extWhileImpl()`
`protected polyglot.ast.Ext` | `postExtActsFor(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtActsForConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbDynamicLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbNewArray(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbParam(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbParamTypeOrAccess(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbPrincipalNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbThisLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbVarLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAuthConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtCallerConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtCanonicalConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtCanonicalLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtCanonicalPrincipalNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtDeclassifyExpr(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtDeclassifyStmt(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtInstTypeNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtJoinLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabeledTypeNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabelExpr(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabelIf(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabelLeAssertionNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtNewLabel(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtParamDecl(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtParamNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtPolicyLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtPrincipalNode(polyglot.ast.Ext e)`

Methods inherited from class polyglot.ext.jl.ast.AbstractExtFactory_c
`composeExts, extAmbAssign, extAmbAssignImpl, extAmbExpr, extAmbPrefix, extAmbQualifierNode, extAmbReceiver, extAmbTypeNode, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extAssert, extAssertImpl, extAssign, extAssignImpl, extBinary, extBlock, extBooleanLit, extBooleanLitImpl, extBranch, extCall, extCanonicalTypeNode, extCase, extCast, extCatch, extCatchImpl, extCharLit, extCharLitImpl, extClassBody, extClassDecl, extClassLit, extClassLitImpl, extClassMember, extClassMemberImpl, extCodeDecl, extCodeDeclImpl, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFloatLitImpl, extFor, extFormal, extIf, extImport, extImportImpl, extInitializer, extInstanceof, extIntLit, extIntLitImpl, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalClassDeclImpl, extLocalDecl, extLoop, extLoopImpl, extMethodDecl, extNew, extNewArray, extNode, extNullLit, extNullLitImpl, extNumLit, extNumLitImpl, extPackageNode, extProcedureDecl, extProcedureDeclImpl, extReturn, extSourceCollection, extSourceCollectionImpl, extSourceFile, extSpecial, extStmt, extStmtImpl, extStringLit, extStringLitImpl, extSwitch, extSwitchBlock, extSwitchElement, extSwitchElementImpl, extSynchronized, extTerm, extTermImpl, extThrow, extTry, extTypeNode, extTypeNodeImpl, extUnary, extWhile, nextExtFactory, postExtAmbAssign, postExtAmbExpr, postExtAmbPrefix, postExtAmbQualifierNode, postExtAmbReceiver, postExtAmbTypeNode, postExtArrayAccess, postExtArrayAccessAssign, postExtArrayInit, postExtArrayTypeNode, postExtAssert, postExtAssign, postExtBinary, postExtBlock, postExtBooleanLit, postExtBranch, postExtCall, postExtCanonicalTypeNode, postExtCase, postExtCast, postExtCatch, postExtCharLit, postExtClassBody, postExtClassDecl, postExtClassLit, postExtClassMember, postExtCodeDecl, postExtConditional, postExtConstructorCall, postExtConstructorDecl, postExtDo, postExtEmpty, postExtEval, postExtExpr, postExtField, postExtFieldAssign, postExtFieldDecl, postExtFloatLit, postExtFor, postExtFormal, postExtIf, postExtImport, postExtInitializer, postExtInstanceof, postExtIntLit, postExtLabeled, postExtLit, postExtLocal, postExtLocalAssign, postExtLocalClassDecl, postExtLocalDecl, postExtLoop, postExtMethodDecl, postExtNew, postExtNewArray, postExtNode, postExtNullLit, postExtNumLit, postExtPackageNode, postExtProcedureDecl, postExtReturn, postExtSourceCollection, postExtSourceFile, postExtSpecial, postExtStmt, postExtStringLit, postExtSwitch, postExtSwitchBlock, postExtSwitchElement, postExtSynchronized, postExtTerm, postExtThrow, postExtTry, postExtTypeNode, postExtUnary, postExtWhile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JifExtFactory_c

    public JifExtFactory_c()

Method Detail

### extNodeImpl

    protected polyglot.ast.Ext extNodeImpl()

  Overrides:
    `extNodeImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extExprImpl

    protected polyglot.ast.Ext extExprImpl()

  Overrides:
    `extExprImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extCannotToJavaImpl

    protected polyglot.ast.Ext extCannotToJavaImpl()

  This method returns a vanilla Jif extensions (Jif_c) with a CannotToJavaExt_c for the ToJavaExt.

### extAmbExprImpl

    protected polyglot.ast.Ext extAmbExprImpl()

  Overrides:
    `extAmbExprImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extAmbPrefixImpl

    protected polyglot.ast.Ext extAmbPrefixImpl()

  Overrides:
    `extAmbPrefixImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extAmbQualifierNodeImpl

    protected polyglot.ast.Ext extAmbQualifierNodeImpl()

  Overrides:
    `extAmbQualifierNodeImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extAmbReceiverImpl

    protected polyglot.ast.Ext extAmbReceiverImpl()

  Overrides:
    `extAmbReceiverImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extAmbTypeNodeImpl

    protected polyglot.ast.Ext extAmbTypeNodeImpl()

  Overrides:
    `extAmbTypeNodeImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extArrayAccessImpl

    protected polyglot.ast.Ext extArrayAccessImpl()

  Overrides:
    `extArrayAccessImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extArrayInitImpl

    protected polyglot.ast.Ext extArrayInitImpl()

  Overrides:
    `extArrayInitImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extLocalAssignImpl

    protected polyglot.ast.Ext extLocalAssignImpl()

  Overrides:
    `extLocalAssignImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extFieldAssignImpl

    protected polyglot.ast.Ext extFieldAssignImpl()

  Overrides:
    `extFieldAssignImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extArrayAccessAssignImpl

    protected polyglot.ast.Ext extArrayAccessAssignImpl()

  Overrides:
    `extArrayAccessAssignImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extBinaryImpl

    protected polyglot.ast.Ext extBinaryImpl()

  Overrides:
    `extBinaryImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extBlockImpl

    protected polyglot.ast.Ext extBlockImpl()

  Overrides:
    `extBlockImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extSwitchBlockImpl

    protected polyglot.ast.Ext extSwitchBlockImpl()

  Overrides:
    `extSwitchBlockImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extBranchImpl

    protected polyglot.ast.Ext extBranchImpl()

  Overrides:
    `extBranchImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extCallImpl

    protected polyglot.ast.Ext extCallImpl()

  Overrides:
    `extCallImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extCaseImpl

    protected polyglot.ast.Ext extCaseImpl()

  Overrides:
    `extCaseImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extCastImpl

    protected polyglot.ast.Ext extCastImpl()

  Overrides:
    `extCastImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extClassBodyImpl

    protected polyglot.ast.Ext extClassBodyImpl()

  Overrides:
    `extClassBodyImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extClassDeclImpl

    protected polyglot.ast.Ext extClassDeclImpl()

  Overrides:
    `extClassDeclImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extConditionalImpl

    protected polyglot.ast.Ext extConditionalImpl()

  Overrides:
    `extConditionalImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extConstructorCallImpl

    protected polyglot.ast.Ext extConstructorCallImpl()

  Overrides:
    `extConstructorCallImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extConstructorDeclImpl

    protected polyglot.ast.Ext extConstructorDeclImpl()

  Overrides:
    `extConstructorDeclImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extFieldDeclImpl

    protected polyglot.ast.Ext extFieldDeclImpl()

  Overrides:
    `extFieldDeclImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extDoImpl

    protected polyglot.ast.Ext extDoImpl()

  Overrides:
    `extDoImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extEmptyImpl

    protected polyglot.ast.Ext extEmptyImpl()

  Overrides:
    `extEmptyImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extEvalImpl

    protected polyglot.ast.Ext extEvalImpl()

  Overrides:
    `extEvalImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extFieldImpl

    protected polyglot.ast.Ext extFieldImpl()

  Overrides:
    `extFieldImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extForImpl

    protected polyglot.ast.Ext extForImpl()

  Overrides:
    `extForImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extFormalImpl

    protected polyglot.ast.Ext extFormalImpl()

  Overrides:
    `extFormalImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extIfImpl

    protected polyglot.ast.Ext extIfImpl()

  Overrides:
    `extIfImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extInitializerImpl

    protected polyglot.ast.Ext extInitializerImpl()

  Overrides:
    `extInitializerImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extInstanceofImpl

    protected polyglot.ast.Ext extInstanceofImpl()

  Overrides:
    `extInstanceofImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extLabeledImpl

    protected polyglot.ast.Ext extLabeledImpl()

  Overrides:
    `extLabeledImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extLitImpl

    protected polyglot.ast.Ext extLitImpl()

  Overrides:
    `extLitImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extLocalImpl

    protected polyglot.ast.Ext extLocalImpl()

  Overrides:
    `extLocalImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extLocalDeclImpl

    protected polyglot.ast.Ext extLocalDeclImpl()

  Overrides:
    `extLocalDeclImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extMethodDeclImpl

    protected polyglot.ast.Ext extMethodDeclImpl()

  Overrides:
    `extMethodDeclImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extNewImpl

    protected polyglot.ast.Ext extNewImpl()

  Overrides:
    `extNewImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extNewArrayImpl

    protected polyglot.ast.Ext extNewArrayImpl()

  Overrides:
    `extNewArrayImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extReturnImpl

    protected polyglot.ast.Ext extReturnImpl()

  Overrides:
    `extReturnImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extSourceFileImpl

    protected polyglot.ast.Ext extSourceFileImpl()

  Overrides:
    `extSourceFileImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extSpecialImpl

    protected polyglot.ast.Ext extSpecialImpl()

  Overrides:
    `extSpecialImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extSwitchImpl

    protected polyglot.ast.Ext extSwitchImpl()

  Overrides:
    `extSwitchImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extSynchronizedImpl

    protected polyglot.ast.Ext extSynchronizedImpl()

  Overrides:
    `extSynchronizedImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extThrowImpl

    protected polyglot.ast.Ext extThrowImpl()

  Overrides:
    `extThrowImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extTryImpl

    protected polyglot.ast.Ext extTryImpl()

  Overrides:
    `extTryImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extArrayTypeNodeImpl

    protected polyglot.ast.Ext extArrayTypeNodeImpl()

  Overrides:
    `extArrayTypeNodeImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extCanonicalTypeNodeImpl

    protected polyglot.ast.Ext extCanonicalTypeNodeImpl()

  Overrides:
    `extCanonicalTypeNodeImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extPackageNodeImpl

    protected polyglot.ast.Ext extPackageNodeImpl()

  Overrides:
    `extPackageNodeImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extUnaryImpl

    protected polyglot.ast.Ext extUnaryImpl()

  Overrides:
    `extUnaryImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extWhileImpl

    protected polyglot.ast.Ext extWhileImpl()

  Overrides:
    `extWhileImpl` in class `polyglot.ext.jl.ast.AbstractExtFactory_c`

### extInstTypeNode

    public final polyglot.ast.Ext extInstTypeNode()

### extLabeledTypeNode

    public final polyglot.ast.Ext extLabeledTypeNode()

### extAmbNewArray

    public final polyglot.ast.Ext extAmbNewArray()

### extAmbParamTypeOrAccess

    public final polyglot.ast.Ext extAmbParamTypeOrAccess()

### extJoinLabelNode

    public final polyglot.ast.Ext extJoinLabelNode()

### extPolicyLabelNode

    public final polyglot.ast.Ext extPolicyLabelNode()

### extAmbDynamicLabelNode

    public final polyglot.ast.Ext extAmbDynamicLabelNode()

### extAmbVarLabelNode

    public final polyglot.ast.Ext extAmbVarLabelNode()

### extAmbThisLabelNode

    public final polyglot.ast.Ext extAmbThisLabelNode()

### extCanonicalLabelNode

    public final polyglot.ast.Ext extCanonicalLabelNode()

### extParamNode

    public final polyglot.ast.Ext extParamNode()

### extLabelNode

    public final polyglot.ast.Ext extLabelNode()

### extPrincipalNode

    public final polyglot.ast.Ext extPrincipalNode()

### extAmbPrincipalNode

    public final polyglot.ast.Ext extAmbPrincipalNode()

### extCanonicalPrincipalNode

    public final polyglot.ast.Ext extCanonicalPrincipalNode()

### extAmbParam

    public final polyglot.ast.Ext extAmbParam()

### extParamDecl

    public final polyglot.ast.Ext extParamDecl()

### extConstraintNode

    public final polyglot.ast.Ext extConstraintNode()

### extCanonicalConstraintNode

    public final polyglot.ast.Ext extCanonicalConstraintNode()

### extAuthConstraintNode

    public final polyglot.ast.Ext extAuthConstraintNode()

### extCallerConstraintNode

    public final polyglot.ast.Ext extCallerConstraintNode()

### extActsForConstraintNode

    public final polyglot.ast.Ext extActsForConstraintNode()

### extLabelLeAssertionNode

    public final polyglot.ast.Ext extLabelLeAssertionNode()

### extActsFor

    public final polyglot.ast.Ext extActsFor()

### extLabelIf

    public final polyglot.ast.Ext extLabelIf()

### extDeclassifyStmt

    public final polyglot.ast.Ext extDeclassifyStmt()

### extDeclassifyExpr

    public final polyglot.ast.Ext extDeclassifyExpr()

### extNewLabel

    public final polyglot.ast.Ext extNewLabel()

### extLabelExpr

    public final polyglot.ast.Ext extLabelExpr()

### extInstTypeNodeImpl

    protected polyglot.ast.Ext extInstTypeNodeImpl()

### extLabeledTypeNodeImpl

    protected polyglot.ast.Ext extLabeledTypeNodeImpl()

### extAmbNewArrayImpl

    protected polyglot.ast.Ext extAmbNewArrayImpl()

### extAmbParamTypeOrAccessImpl

    protected polyglot.ast.Ext extAmbParamTypeOrAccessImpl()

### extJoinLabelNodeImpl

    protected polyglot.ast.Ext extJoinLabelNodeImpl()

### extPolicyLabelNodeImpl

    protected polyglot.ast.Ext extPolicyLabelNodeImpl()

### extAmbDynamicLabelNodeImpl

    protected polyglot.ast.Ext extAmbDynamicLabelNodeImpl()

### extAmbVarLabelNodeImpl

    protected polyglot.ast.Ext extAmbVarLabelNodeImpl()

### extAmbThisLabelNodeImpl

    protected polyglot.ast.Ext extAmbThisLabelNodeImpl()

### extCanonicalLabelNodeImpl

    protected polyglot.ast.Ext extCanonicalLabelNodeImpl()

### extParamNodeImpl

    protected polyglot.ast.Ext extParamNodeImpl()

### extLabelNodeImpl

    protected polyglot.ast.Ext extLabelNodeImpl()

### extPrincipalNodeImpl

    protected polyglot.ast.Ext extPrincipalNodeImpl()

### extAmbPrincipalNodeImpl

    protected polyglot.ast.Ext extAmbPrincipalNodeImpl()

### extCanonicalPrincipalNodeImpl

    protected polyglot.ast.Ext extCanonicalPrincipalNodeImpl()

### extAmbParamImpl

    protected polyglot.ast.Ext extAmbParamImpl()

### extParamDeclImpl

    protected polyglot.ast.Ext extParamDeclImpl()

### extConstraintNodeImpl

    protected polyglot.ast.Ext extConstraintNodeImpl()

### extCanonicalConstraintNodeImpl

    protected polyglot.ast.Ext extCanonicalConstraintNodeImpl()

### extAuthConstraintNodeImpl

    protected polyglot.ast.Ext extAuthConstraintNodeImpl()

### extCallerConstraintNodeImpl

    protected polyglot.ast.Ext extCallerConstraintNodeImpl()

### extActsForConstraintNodeImpl

    protected polyglot.ast.Ext extActsForConstraintNodeImpl()

### extLabelLeAssertionNodeImpl

    protected polyglot.ast.Ext extLabelLeAssertionNodeImpl()

### extActsForImpl

    protected polyglot.ast.Ext extActsForImpl()

### extLabelIfImpl

    protected polyglot.ast.Ext extLabelIfImpl()

### extDeclassifyStmtImpl

    protected polyglot.ast.Ext extDeclassifyStmtImpl()

### extDeclassifyExprImpl

    protected polyglot.ast.Ext extDeclassifyExprImpl()

### extNewLabelImpl

    protected polyglot.ast.Ext extNewLabelImpl()

### extLabelExprImpl

    protected polyglot.ast.Ext extLabelExprImpl()

### postExtInstTypeNode

    protected polyglot.ast.Ext postExtInstTypeNode(polyglot.ast.Ext e)

### postExtLabeledTypeNode

    protected polyglot.ast.Ext postExtLabeledTypeNode(polyglot.ast.Ext e)

### postExtAmbNewArray

    protected polyglot.ast.Ext postExtAmbNewArray(polyglot.ast.Ext e)

### postExtAmbParamTypeOrAccess

    protected polyglot.ast.Ext postExtAmbParamTypeOrAccess(polyglot.ast.Ext e)

### postExtJoinLabelNode

    protected polyglot.ast.Ext postExtJoinLabelNode(polyglot.ast.Ext e)

### postExtPolicyLabelNode

    protected polyglot.ast.Ext postExtPolicyLabelNode(polyglot.ast.Ext e)

### postExtAmbDynamicLabelNode

    protected polyglot.ast.Ext postExtAmbDynamicLabelNode(polyglot.ast.Ext e)

### postExtAmbVarLabelNode

    protected polyglot.ast.Ext postExtAmbVarLabelNode(polyglot.ast.Ext e)

### postExtAmbThisLabelNode

    protected polyglot.ast.Ext postExtAmbThisLabelNode(polyglot.ast.Ext e)

### postExtCanonicalLabelNode

    protected polyglot.ast.Ext postExtCanonicalLabelNode(polyglot.ast.Ext e)

### postExtParamNode

    protected polyglot.ast.Ext postExtParamNode(polyglot.ast.Ext e)

### postExtLabelNode

    protected polyglot.ast.Ext postExtLabelNode(polyglot.ast.Ext e)

### postExtPrincipalNode

    protected polyglot.ast.Ext postExtPrincipalNode(polyglot.ast.Ext e)

### postExtAmbPrincipalNode

    protected polyglot.ast.Ext postExtAmbPrincipalNode(polyglot.ast.Ext e)

### postExtCanonicalPrincipalNode

    protected polyglot.ast.Ext postExtCanonicalPrincipalNode(polyglot.ast.Ext e)

### postExtAmbParam

    protected polyglot.ast.Ext postExtAmbParam(polyglot.ast.Ext e)

### postExtParamDecl

    protected polyglot.ast.Ext postExtParamDecl(polyglot.ast.Ext e)

### postExtConstraintNode

    protected polyglot.ast.Ext postExtConstraintNode(polyglot.ast.Ext e)

### postExtCanonicalConstraintNode

    protected polyglot.ast.Ext postExtCanonicalConstraintNode(polyglot.ast.Ext e)

### postExtAuthConstraintNode

    protected polyglot.ast.Ext postExtAuthConstraintNode(polyglot.ast.Ext e)

### postExtCallerConstraintNode

    protected polyglot.ast.Ext postExtCallerConstraintNode(polyglot.ast.Ext e)

### postExtActsForConstraintNode

    protected polyglot.ast.Ext postExtActsForConstraintNode(polyglot.ast.Ext e)

### postExtLabelLeAssertionNode

    protected polyglot.ast.Ext postExtLabelLeAssertionNode(polyglot.ast.Ext e)

### postExtActsFor

    protected polyglot.ast.Ext postExtActsFor(polyglot.ast.Ext e)

### postExtLabelIf

    protected polyglot.ast.Ext postExtLabelIf(polyglot.ast.Ext e)

### postExtDeclassifyStmt

    protected polyglot.ast.Ext postExtDeclassifyStmt(polyglot.ast.Ext e)

### postExtDeclassifyExpr

    protected polyglot.ast.Ext postExtDeclassifyExpr(polyglot.ast.Ext e)

### postExtNewLabel

    protected polyglot.ast.Ext postExtNewLabel(polyglot.ast.Ext e)

### postExtLabelExpr

    protected polyglot.ast.Ext postExtLabelExpr(polyglot.ast.Ext e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD